Predict Predicted Attribute (Reconciliation Compliance)

Runs the Predict Predicted Attribute job that predicts the values of the specified predicted attribute. Before a prediction is run, the predicted attribute must be trained using the Train Predicted Attribute job.

REST Resource

POST       /armARCS/rest/{api_version}/jobs

Required Roles

Service Administrator or Profiles and Reconciliations - Manage

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job.

Table 18-35 PREDICT_ATTRIBUTE

Name Description Required
api_version Version of the API you are working with: v1 Yes
jobName The name of the job, PREDICT_ATTRIBUTE Yes
period The period for which the values for the specified predicted attribute must be predicted Yes
attributeName The name of the predicted attribute whose values must be predicted Yes

Example of request body

{
 "jobName" : "PREDICT_ATTRIBUTE",
 "parameters": {
    "period": "May-2024",
    "attribute": "Predicted Risk"
     }
}

Response

Supported Media Types: application/json

Parameters:

Table 18-36 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Relationship type
data Parameters as key value pairs passed in the request

Example of Response Body

The following is an example of the response body in JSON format.

Sample Response body:

{
    "type": "ARCS",
    "status": -1,
    "details": "In Process",
    "links": [
        {
            "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/armARCS/rest/v1/jobs/100000103240043",
            "action": "GET",
            "rel": "self"
        }
    ]
}